
// Logarithmic functions.
#include <cstdlib>
#include <Spectre/Math/Math.h>

namespace sp {

#define	LOG2INBASE10 0.30102999566f

double math::log(double base, double value) {

	return ::log10(value) / ::log10(base);
}

double math::log2(double value) {

	return ::log10(value) / LOG2INBASE10;
}

} // namespace sp
